Skip to main content

Live & Schedule (7 endpoints)

Live Matches

GET /api/live
Curated live matches with teams, scores, and period info.

Live (All)

GET /api/live/all
Raw live data for all floorball matches.

Today’s Matches

GET /api/today

Schedule by Date

GET /api/schedule/:date
Date format: YYYY-MM-DD. Example: GET /api/schedule/2026-03-13

Live Tournaments

GET /api/live-tournaments
Tournaments with live matches right now.

Scheduled Tournaments

GET /api/scheduled-tournaments/:date
Tournaments with matches on a specific date.

Newly Added Events

GET /api/newly-added-events

Response Example — /api/live

{
  "events": [
    {
      "id": 12345678,
      "homeTeam": { "id": 1801, "name": "Storvreta IBK" },
      "awayTeam": { "id": 1802, "name": "Falun IBK" },
      "homeScore": {
        "current": 4,
        "display": 4,
        "period1": 2,
        "period2": 1,
        "period3": 1
      },
      "awayScore": {
        "current": 3,
        "display": 3,
        "period1": 1,
        "period2": 2,
        "period3": 0
      },
      "status": { "code": 8, "description": "3rd Period", "type": "inprogress" },
      "tournament": { "name": "SSL", "id": 390 },
      "startTimestamp": 1737331200
    }
  ]
}

Score Fields

FieldDescription
period1period3Goals scored in P1–P3 (20 min each)
overtimeOT goals (if applicable)
currentTotal goals

Status Codes

CodeDescription
0Not started
61st Period
72nd Period
83rd Period
31Period Break
40Overtime
100Ended

Search & Discovery (7 endpoints)

GET /api/search?q=storvreta
Search teams, players, and tournaments.

Countries / Categories

GET /api/countries
Floorball categories (International, Sweden, Finland, etc.).

Countries (Extended)

GET /api/countries/all

Category Tournaments

GET /api/categories/:categoryId/tournaments
Tournaments in a country/category.
GET /api/trending-players

Floorball News

GET /api/news?lang=en

Country Flag

GET /api/country/:code/flag
Last modified on April 12, 2026